var messages = {
  en: {
    title: 'Stairs',
    systemID: 'System ID',
    firmwareVersion: 'Firmware version: ',
    copyright: 'Copyright © 2017 Mark van Renswoude',
    loading: 'Please wait, loading configuration...',
    rebootPending: 'The system will be rebooted, please refresh this page afterwards',

    applyButton: 'Apply',
    applyButtonSaving: 'Saving...',

    wifiStatus: {
      accesspoint: {
        title: 'AP: ',
        disabled: 'Disabled'
      },

      stationmode: {
        title: 'WiFi: ',
        disabled: 'Disabled',
        idle: 'Idle',
        noSSID: 'SSID not found',
        scanCompleted: 'Scan completed',
        connectFailed: 'Failed to connect',
        connectionLost: 'Connection lost',
        disconnected: 'Disconnected'
      }
    },

    status: {
      tabTitle: 'Status',
      title: 'Current status',

      allStepsTrue: 'Set intensity for all steps',
      allStepsFalse: 'Set intensity individually'
    },

    triggers: {
      tabTitle: 'Triggers',
      timeTitle: 'Time',
      timeInternet: 'Please note that time triggers require an internet connection.',
      timeNoData: 'No time triggers defined yet',

      timeEnabled: 'Enable time triggers',
      timeTransitionTime: 'Transition time in milliseconds',

      timeAdd: 'Add',
      timeDelete: 'Delete',

      timeTriggerEnabled: 'Enabled',
      timeFixedTime: 'Fixed time',
      timeSunrise: 'Sunrise',
      timeSunset: 'Sunset',
      timeTime: 'Time in minutes',

      timeMonday: 'Monday',
      timeTuesday: 'Tuesday',
      timeWednesday: 'Wednesday',
      timeThursday: 'Thursday',
      timeFriday: 'Friday',
      timeSaturday: 'Saturday',
      timeSunday: 'Sunday',

      motionTitle: 'Motion',
      motionNoData: 'No motion triggers defined yet',

      motionEnabled: 'Enable motion triggers',
      motionEnabledDuringTimeTrigger: 'Activate even if a time trigger is already active',
      motionTransitionTime: 'Transition time in milliseconds',

      motionTriggerEnabled: 'Enabled',
      motionAdd: 'Add',
      motionDelete: 'Delete',

      motionPin: 'GPIO pin (active high)',
      motionDirection: 'Sweep animation',
      motionDirectionNonDirectional: 'None (all steps at the same time)',
      motionDirectionTopDown: 'Top down',
      motionDirectionBottomUp: 'Bottom up'
    },

    connection: {
      tabTitle: 'Connection',
      title: 'Connection parameters',

      accesspoint: 'Enable access point',
      accesspointHint: 'Allows for a direct connection from your device to this Stairs module for configuration purposes. The Stairs configuration is available on http://192.168.1.4/ when you are connected to it. Turn it off as soon as station mode is configured, as it is not secured in any way. You can always turn this option back on by pushing the access point button until the LED lights up.',

      stationmode: 'Enable station mode',
      stationmodeHint: 'Connect this Stairs module to your own WiFi router. Please enter the SSID, password and further configuration below.',

      ssid: 'SSID',
      password: 'Password',

      dhcp: 'Use DHCP',
      dhcpHint: 'Automatically assigns an IP address to this Stairs module. You probably want to keep this on unless you know what you\'re doing.',

      ipaddress: 'IP address',
      subnetmask: 'Subnet mask',
      gateway: 'Gateway',
      hostname: 'Hostname',
      hostnamePlaceholder: 'Default: mac address'
    },

    system: {
      tabTitle: 'System',
      ntpTitle: 'Time synchronisation (NTP)',
      pinsTitle: 'Hardware pinout',
      mapsTitle: 'Google Maps API',
      firmwareTitle: 'Firmware update',

      ntpServer: 'NTP server',
      ntpInterval: 'Refresh interval (in minutes)',
      ntpLat: 'Latitude',
      ntpLng: 'Longitude',
      ntpLocation: 'Get latitude / longitude from location',
      ntpLocationSearch: 'Search',

      pinLEDAP: 'Access Point status LED pin (+3.3v)',
      pinLEDSTA: 'Station Mode status LED pin (+3.3v)',
      pinAPButton: 'Enable Access Point button pin (active low)',
      pinPWMDriverSDA: 'PCA9685 PWM driver SDA pin (data)',
      pinPWMDriverSCL: 'PCA9685 PWM driver SCL pin (clock)',
      pwmAddress: 'PCA9685 PWM driver I²C address',
      pwmFrequency: 'PCA9685 PWM driver frequency',

      mapsAPIKey: 'Google Maps API key',
      mapsAPIKeyhint: 'Recommended if using time triggers. Used for looking up the current timezone. Will work without an API key, but Google might throttle your request. Register for a free API key at http://console.developers.google.com/ and activate it\'s use for the Maps API.'
    },

    error: {
      loadVersion: 'Could not load information about the system',
      loadConnection: 'Could not load connection settings',
      loadSystem: 'Could not load system settings',
      loadTimeTriggers: 'Could not load time trigger settings',
      loadMotionTriggers: 'Could not load motion trigger settings',
      applyConnection: 'Could not save connection settings',
      applySystem: 'Could not save system settings',
      updateWiFiStatus: 'Could not retrieve WiFi status',
      uploadFirmware: 'Error while uploading firmware',
      updateSteps: 'Could not apply new step values',
      searchLocation: 'Could not look up location coordinates',
      applyTimeTriggers: 'Could not save time trigger settings',
      applyMotionTriggers: 'Could not save motion trigger settings'
    }
  },

  nl: {
    title: 'Trap',
    systemID: 'Systeem ID',
    firmwareVersion: 'Firmware versie: ',
    copyright: 'Copyright © 2017 Mark van Renswoude',
    loading: 'Een ogenblik geduld, bezig met laden van configuratie...',
    rebootPending: 'Het systeem wordt opnieuw opgestart, ververse deze pagina nadien',

    applyButton: 'Toepassen',
    applyButtonSaving: 'Bezig met opslaan...',

    wifiStatus: {
      accesspoint: {
        title: 'AP: ',
        disabled: 'Uitgeschakeld'
      },

      stationmode: {
        title: 'WiFi: ',
        disabled: 'Uitgeschakeld',
        idle: 'Slaapstand',
        noSSID: 'SSID niet gevonden',
        scanCompleted: 'Scan afgerond',
        connectFailed: 'Kan geen verbinding maken',
        connectionLost: 'Verbinding verloren',
        disconnected: 'Niet verbonden'
      }
    },

    status: {
      tabTitle: 'Status',
      title: 'Huidige status',

      allStepsTrue: 'Alle treden dezelfde intensiteit',
      allStepsFalse: 'Treden individueel instellen'
    },

    triggers: {
      tabTitle: 'Triggers',
      timeTitle: 'Tijd',
      timeInternet: 'Let op dat voor tijd triggers een internetverbinding vereist is.',
      timeNoData: 'Nog geen tijd triggers geconfigureerd',

      timeEnabled: 'Tijd triggers inschakelen',
      timeTransitionTime: 'Transitie tijd in milliseconden',

      timeAdd: 'Toevoegen',
      timeDelete: 'Verwijderen',

      timeTriggerEnabled: 'Actief',
      timeFixedTime: 'Vaste tijd',
      timeSunrise: 'Zonsopkomst',
      timeSunset: 'Zonsondergang',
      timeTime: 'Tijd in minuten',

      timeMonday: 'Maandag',
      timeTuesday: 'Dinsdag',
      timeWednesday: 'Woensdag',
      timeThursday: 'Donderdag',
      timeFriday: 'Vrijdag',
      timeSaturday: 'Zaterdag',
      timeSunday: 'Zondag',

      motionTitle: 'Beweging',
      motionNoData: 'Nog geen beweging triggers geconfigureerd',

      motionEnabled: 'Beweging triggers inschakelen',
      motionEnabledDuringTimeTrigger: 'Ook inschakelen als er al een tijd trigger actief is',
      motionTransitionTime: 'Transitie tijd in milliseconden',

      motionTriggerEnabled: 'Actief',
      motionAdd: 'Toevoegen',
      motionDelete: 'Verwijderen',

      motionPin: 'GPIO pin (actief hoog)',
      motionDirection: 'Animatie',
      motionDirectionNonDirectional: 'Geen (alle treden gelijktijdig)',
      motionDirectionTopDown: 'Boven naar beneden',
      motionDirectionBottomUp: 'Beneden naar boven'
    },

    connection: {
      tabTitle: 'Verbinding',
      title: 'Verbinding configuratie',

      accesspoint: 'Access point inschakelen',
      accesspointhint: 'Maakt het mogelijk om een directe connectie vanaf een apparaat naar deze Trap module te maken om de module te configureren. De Trap module is te benaderen via http://192.168.1.4/ nadat je connectie hebt gemaakt. Schakel deze optie uit na het configureren, aangezien deze niet beveiligd is. Je kunt deze optie ook inschakelen door op de Access point knop te drukken totdat de LED aan gaat.',

      stationmode: 'Verbinding met WiFi maken',
      stationmodehint: 'Verbind deze Trap module aan je eigen WiFi router. Vul hieronder het SSID en wachtwoord in, en configureer eventuel de overige opties.',

      ssid: 'SSID',
      password: 'Wachtwoord',

      dhcp: 'Gebruik DHCP',
      dhcphint: 'Automatisch een IP adres toewijzen aan deze Trap module. Waarschijnlijk wil je deze optie aan laten, tenzij je weet waar je mee bezig bent.',

      ipaddress: 'IP adres',
      subnetmask: 'Subnet masker',
      gateway: 'Gateway',
      hostname: 'Hostnaam',
      hostnamePlaceholder: 'Standaard: mac adres'
    },

    system: {
      tabTitle: 'Systeem',
      ntpTitle: 'Tijd synchronisatie (NTP)',
      pinsTitle: 'Hardware aansluitingen',
      mapsTitle: 'Google Maps API',
      firmwareTitle: 'Firmware bijwerken',

      ntpServer: 'NTP server',
      ntpInterval: 'Ververs interval (in minuten)',
      ntpLat: 'Breedtegraad',
      ntpLng: 'Lengtegraad',
      ntpLocation: 'Breedtegraad / lengtegraad ophalen op basis van locatie',
      ntpLocationSearch: 'Zoeken',

      pinLEDAP: 'Access Point status LED pin (+3.3v)',
      pinLEDSTA: 'WiFi status LED pin (+3.3v)',
      pinAPButton: 'Access Point inschakelen knop pin (actief laag)',
      pinPWMDriverSDA: 'PCA9685 PWM driver SDA pin (data)',
      pinPWMDriverSCL: 'PCA9685 PWM driver SCL pin (klok)',
      pwmAddress: 'PCA9685 PWM driver I²C address',
      pwmFrequency: 'PCA9685 PWM driver frequency',

      mapsAPIKey: 'Google Maps API key',
      mapsAPIKeyhint: 'Aangeraden bij gebruik van de tijd triggers. Wordt gebruikt om de huidige tijdzone te bepalen. Werkt ook zonder API key, maar Google beperkt dan sterk de requests. Registreer een gratis API key op http://console.developers.google.com/ en activeer het voor gebruik met de Maps API.'
    },

    error: {
      loadVersion: 'Kan systeeminformatie niet ophalen',
      loadConnection: 'Kan verbinding instellingen niet ophalen',
      loadSystem: 'Kan systeem instellingen niet ophalen',
      loadTimeTriggers: 'Kan tijd trigger instellingen niet ophalen',
      loadMotionTriggers: 'Kan beweging trigger instellingen niet ophalen',
      applyConnection: 'Kan verbinding instellingen niet opslaan',
      applySystem: 'Kan systeem instellingen niet opslaan',
      updateWiFiStatus: 'Kan WiFi status niet ophalen',
      uploadFirmware: 'Fout tijdens bijwerken van firmware',
      updateSteps: 'Kan trap instellingen niet opslaan',
      searchLocation: 'Kan locatie coordinaten niet bepalen',
      applyTimeTriggers: 'Kan tijd trigger instellingen niet opslaan',
      applyMotionTriggers: 'Kan beweging trigger instellingen niet opslaan'
    }
  }
}